<bugID>519028<Summary>changed location.hash leads to tab favicon disappearance</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; el; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; el; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)

Where is the icon, left in the location bar?

Sample page:
---------------------------------------------
&lt;html xmlns="http://www.w3.org/1999/xhtml"&gt;
&lt;head&gt;
&lt;meta http-equiv="Content-Type" content="application/xhtml+xml"/&gt;
&lt;link rel="icon" href="favicon.png" type="image/x-icon"/&gt;
&lt;link rel="shortcut icon" href="favicon.png" type="image/x-icon"/&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;script&gt;
location.hash = 'crapy';
&lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;
---------------------------------------------

Reproducible: Always</Description></bugID>